/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEF_camera_common_edc_H_
#define __DEF_camera_common_edc_H_
/* #include "cam_property.h" */
void cam_layout_del_all(void *data);

int cam_get_menu_item_to_index(void* data, int menu_type, int item);
int cam_get_value_to_index(void* data, int menu_type, int value);

int cam_convert_menu_item_to_mmfw_value(int mode);
int cam_convert_shot_mode_to_menu_item(int mode);
int cam_convert_flash_to_menu_item(int mode);
int cam_convert_recording_mode_to_menu_item(int mode);
int cam_convert_video_resolution_to_menu_item(int mode);
int cam_convert_photo_resolution_to_menu_item(int mode);
int cam_convert_iso_to_menu_item(int mode);
int cam_convert_focus_to_menu_item(int mode);
int cam_convert_timer_to_menu_item(int mode);
int cam_convert_scene_mode_to_menu_item(int mode);
int cam_convert_wb_to_menu_item(int mode);
int cam_convert_effect_to_menu_item(int mode);
int cam_convert_metering_to_menu_item(int mode);
int cam_convert_storage_to_menu_item(int mode);
int cam_convert_volume_key_to_menu_item(int mode);


/* Evas_Object* create_image_for_smart(Evas *evas, Evas_Object *obj, const char *edj_file, const char *image_name); */
void define_mouse_callback(void *data);
int shot_mode_set(void *data, int mode);
#endif	/* __DEF_camera_common_edc_H_ */
