%define optflags -Wall -Wextra -g -fpie -fPIC -O0 -Wno-unused-parameter -Wno-missing-field-initializers -finstrument-functions -Wl,--as-needed -pie

%define _optdir	/opt
%define _usrdir	/usr
%define _ugdir	%{_usrdir}/ug


Name:       ug-camera-efl
Summary:    SLP Camera UI Gadget
Version:    0.1.110
Release:    1
Group:      TO_BE/FILLED_IN
License:    Flora Software License
Source0:    %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  prelink
BuildRequires:  gettext-tools
BuildRequires:  edje-tools
BuildRequires:  pkgconfig(utilX)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(devman)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(ui-gadget-1)
BuildRequires:  pkgconfig(ecore-x)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(ecore-evas)
BuildRequires:  pkgconfig(ecore-input)
BuildRequires:  pkgconfig(eina)
BuildRequires:  pkgconfig(capi-appfw-application)
BuildRequires:  pkgconfig(capi-content-media-content)
BuildRequires:  pkgconfig(capi-location-manager)
BuildRequires:  pkgconfig(capi-media-camera)
BuildRequires:  pkgconfig(capi-media-image-util)
BuildRequires:  pkgconfig(capi-media-recorder)
BuildRequires:  pkgconfig(capi-media-sound-manager)
BuildRequires:  pkgconfig(capi-media-wav-player)
BuildRequires:  pkgconfig(capi-system-power)
BuildRequires:  pkgconfig(syspopup-caller)
BuildRequires:  pkgconfig(capi-system-sensor)


%description
Description: SLP Camera UI Gadget

%prep
%setup -q

%build
cmake . -DCMAKE_INSTALL_PREFIX=%{_ugdir}

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}

%make_install
execstack -c %{buildroot}%{_ugdir}/lib/libug-camera-efl.so.0.1.0

%post
chown 5000:5000 /opt/usr/ug/data/ug-camera-efl/
chown 5000:5000 /opt/usr/ug/data/ug-camera-efl/.camera.ini
mkdir -p /usr/ug/bin/
ln -sf /usr/bin/ug-client /usr/ug/bin/camera-efl

%files
%manifest ug-camera-efl.manifest
%defattr(-,root,root,-)
%{_ugdir}/res/edje/%{name}/*
%{_ugdir}/res/locale/*/LC_MESSAGES/%{name}.mo
%{_ugdir}/res/sounds/%{name}/*
%{_ugdir}/res/icons/%{name}/%{name}.png
%{_ugdir}/lib/libug-camera-efl.so
%{_ugdir}/lib/libug-camera-efl.so.0.1.0
%{_optdir}/usr/ug/data/%{name}/.camera.ini
%{_usrdir}/share/packages/%{name}.xml

