/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEF_camera_recording_H_
#define __DEF_camera_recording_H_
int load_recording_edje(struct appdata *ad);
int unload_recording_edje(struct appdata *ad);
int cam_recording_rotate(struct appdata *ad);

/* you can use this function to set time text for recording */
void recording_set_time(void *data, int hh, int mm, int ss);

#endif	/* __DEF_camera_recording_H_ */

